Subject: bug#16214: [External] : bug#16214: Consistency in dired-, occur-, and grep-mode

From: Drew Adams <[email-masked]>
Date: Thu, 17 Feb 2022 17:12:57 +0000

> Dired users with existing muscle memory to enter wdired via
> C-x C-q are unchanged.  Dired users that use f or RET to
> edit a file are unchanged; those that use e to edit a file
> will have to change or bind this themselves.  The emacs
> manual already documents using f to find a file from dired
> and describes RET and e, in that order, as duplicates of f.
> With this, e will change to be a duplicate of C-x C-q.

FWIW -

I don't think `e' in Dired should do what `C-x C-q'
does.  I don't think we ever need a duplicate default
binding for what `C-x C-q' does.

Dired can do lots of things, and can have _lots_ of
default key bindings.  I don't see a good reason to
try to make its bindings correspond to those of
`occur' or `grep-mode'.  Same thing for those two
modes - they can have lots of bindings that are
specific to their own features.

We gave global key bindings for a reason.  That's
the place to provide keys we want to be common
across modes (by default).
___

FWIW, in Dired+ `e' isn't the same as `f'.
`e' is instead a toggle for showing the file:

  View the file on this line in another window in the same frame.
  If it was not already shown there then kill the previous buffer
  visited by a `diredp-visit-*' command.

  If it was already shown there, and if it and Dired are the only
  windows there, then delete its window (toggle : show/hide the file).

Commands `diredp-visit-(next|previous)-file' are
bound to `C-(down|up)'.